diff -rcN dhcp-1.4.0p4/README dhcp-1.4.0p5/README
*** dhcp-1.4.0p4/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/README	Thu Jan 28 13:00:00 1999
***************
*** 1,6 ****
  		<< DHCP WIDE-Implementation, version 1.4.0 >>
  
! 							April, 1997.
  
     This package is a distribution kit of DHCP WIDE-Implementation
     version 1.4.0.  DHCP (Dynamic Host Configuration Protocol) is a
--- 1,6 ----
  		<< DHCP WIDE-Implementation, version 1.4.0 >>
  
! 							January, 1999.
  
     This package is a distribution kit of DHCP WIDE-Implementation
     version 1.4.0.  DHCP (Dynamic Host Configuration Protocol) is a
***************
*** 40,46 ****
  			   is very dirty. Just for debugging)
  
     Currently, we confirm operation on BSD/OS 3.1, NEWS-OS 4.2, SunOS
!    4.1.4 and FreeBSD 2.2.2. Also it will be very easy to port them to
     another OS which has bpf (Berkeley Packet Filter).
  
     If you execute following command in the top directory, all modules
--- 40,46 ----
  			   is very dirty. Just for debugging)
  
     Currently, we confirm operation on BSD/OS 3.1, NEWS-OS 4.2, SunOS
!    4.1.4 and FreeBSD 2.2.8. Also it will be very easy to port them to
     another OS which has bpf (Berkeley Packet Filter).
  
     If you execute following command in the top directory, all modules
diff -rcN dhcp-1.4.0p4/README.jis dhcp-1.4.0p5/README.jis
*** dhcp-1.4.0p4/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 1,6 ****
  	<< DHCP WIDE-Implementation, version 1.4.0 >>
  
! 						   1997$BG/(B   12$B7n(B
  
     $BK\%Q%C%1!<%8$O(BWIDE$BHG(BDHCP$B%P!<%8%g%s(B1.4.0$B$NG[I[%-%C%H$G$9!#(BDHCP
     (Dynamic Host Configuration Protocol)$B$O!"%3%s%T%e!<%?$,5/F0;~$KI,MW(B
--- 1,6 ----
  	<< DHCP WIDE-Implementation, version 1.4.0 >>
  
! 						   1999$BG/(B    1$B7n(B
  
     $BK\%Q%C%1!<%8$O(BWIDE$BHG(BDHCP$B%P!<%8%g%s(B1.4.0$B$NG[I[%-%C%H$G$9!#(BDHCP
     (Dynamic Host Configuration Protocol)$B$O!"%3%s%T%e!<%?$,5/F0;~$KI,MW(B
***************
*** 37,43 ****
      $B!&(Btools			DHCP$B%Q%1%C%H%b%K%?%D!<%k(B (this program is
  				very dirty. just for debugging)
  
!   $B8=:_$N=j!"(BBSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.2$B$G$NF0(B
    $B:n$r3NG'$7$F$$$^$9$,!"(Bbpf(Berkeley Packet Filter)$B$r;}$D(BOS$B$X$N0\?"$O(B
    $BMF0W$@$H;W$o$l$^$9!#(B
  
--- 37,43 ----
      $B!&(Btools			DHCP$B%Q%1%C%H%b%K%?%D!<%k(B (this program is
  				very dirty. just for debugging)
  
!   $B8=:_$N=j!"(BBSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.8$B$G$NF0(B
    $B:n$r3NG'$7$F$$$^$9$,!"(Bbpf(Berkeley Packet Filter)$B$r;}$D(BOS$B$X$N0\?"$O(B
    $BMF0W$@$H;W$o$l$^$9!#(B
  
diff -rcN dhcp-1.4.0p4/client/README dhcp-1.4.0p5/client/README
*** dhcp-1.4.0p4/client/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/client/README	Thu Jan 28 13:00:00 1999
***************
*** 1,12 ****
! This directory includes WIDE version DHCP client (finite state machine
! version).  We confirm that it runs on BSD/386 1.1, BSD/OS 2.0.1,
! NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 1.1.5.1.  There are following files
! in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.oldbsdi	Makefile for BSD/386 (BSD/OS 1.1)
! 	Makefile.bsdos		Makefile for BSD/OS 2.0.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS 4.1.4
  	README			This file
--- 1,10 ----
! This directory includes WIDE version DHCP client.  We confirm that it
! runs on BSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.8.  There
! are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.bsdos		Makefile for BSD/OS 3.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS 4.1.4
  	README			This file
***************
*** 28,48 ****
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/386 1.1;			make OSTYPE=oldbsdi
!    BSD/OS 2.0.1;		make OSTYPE=bsdos
     SunOS 4.1.4;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
  Please copy dhcpc to appropriate appropriate directory such as
  /usr/etc for SunOS and NEWS-OS, /usr/sbin for BSD/OS and FreeBSD.
  dhcpc can be executed from "/etc/rc.local", if you want to do so.
- 
- Next, please add following two lines to /etc/services.  But the client
- works correctly whether or not you will do this, because the client
- uses default port.
- 
- 	dhcps           67/udp                          # dhcp server
- 	dhcpc           68/udp                          # dhcp client
  
  The client prints out error messages to syslog with LOG_LOCAL0
  facility.  Please add following description to syslog.conf if you
--- 26,38 ----
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/OS 3.1;			make OSTYPE=bsdos
     SunOS 4.1.4;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
  Please copy dhcpc to appropriate appropriate directory such as
  /usr/etc for SunOS and NEWS-OS, /usr/sbin for BSD/OS and FreeBSD.
  dhcpc can be executed from "/etc/rc.local", if you want to do so.
  
  The client prints out error messages to syslog with LOG_LOCAL0
  facility.  Please add following description to syslog.conf if you
diff -rcN dhcp-1.4.0p4/client/README.jis dhcp-1.4.0p5/client/README.jis
*** dhcp-1.4.0p4/client/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/client/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 1,12 ****
! $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP$B%/%i%$%"%s%H(B(finite state machine$BHG(B)$B$,4^$^(B
! $B$l$^$9!#K\%W%m%0%i%`$O(BBSD/386 1.1, BSD/OS 2.0.1, NEWS-OS 4.2, SunOS
! 4.1.4, FreeBSD 1.1.5.1$B$G$NF0:n$r3NG'$7$F$$$^$9!#K\%G%#%l%/%H%j$K4^$^$l(B
! $B$k%U%!%$%k$r2<$K<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.oldbsdi	BSD/386(BSD/OS 1.1)$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 2.0.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
--- 1,10 ----
! $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP$B%/%i%$%"%s%H$,4^$^$l$^$9!#K\%W%m%0%i%`$O(B
! BSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.8$B$G$NF0:n$r3NG'$7(B
! $B$F$$$^$9!#K\%G%#%l%/%H%j$K4^$^$l$k%U%!%$%k$r2<$K<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 3.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
***************
*** 28,35 ****
  $B$l$^$9!#(B
  
  	$B!&(B NEWS-OS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/386 1.1$B$N>l9g(B;	make OSTYPE=oldbsdi
! 	$B!&(B BSD/OS 2.0.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
--- 26,32 ----
  $B$l$^$9!#(B
  
  	$B!&(B NEWS-OS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/OS 3.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
***************
*** 37,51 ****
  /usr/sbin$B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#$5$i$KI,MW$K1~$8(B
  $B$F(B/etc/rc.local$B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! $B<!$K(B/etc/services$B$K0J2<$N(B2$B9T$r2C$($F2<$5$$!#$?$@$7!"(B/etc/services$B$K$3(B
! $B$l$i$N9T$,$J$$>l9g$K$O%/%i%$%"%s%H$O%G%U%)%k%H$N%]!<%H$rMxMQ$7$^$9!#(B
! 
! 	dhcps           67/udp                          # dhcp server
! 	dhcpc           68/udp                          # dhcp client
! 
! $B$5$i$K%/%i%$%"%s%H$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^(B
! $B$9!#(B($BG$0U$G(B)$B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J(B
! $B5-=R$O(BOS$BKh$KHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
--- 34,42 ----
  /usr/sbin$B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#$5$i$KI,MW$K1~$8(B
  $B$F(B/etc/rc.local$B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! $B%/%i%$%"%s%H$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^$9!#(B($BG$(B
! $B0U$G(B)$B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J5-=R$O(BOS
! $BKh$KHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
diff -rcN dhcp-1.4.0p4/db_sample/README dhcp-1.4.0p5/db_sample/README
*** dhcp-1.4.0p4/db_sample/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/db_sample/README	Thu Jan 28 13:00:00 1999
***************
*** 18,23 ****
--- 18,29 ----
  	dhcpdb.server	Sample database file for relay agent. There are IP
  			addresses of DHCP server.
  
+ 	dhcpdb.MAC	Sample database file for server. There are MAC
+ 			addresses of DHCP clients which will be allowed
+ 			to get an IP address from the server. (This
+ 			function only works when dhcps is compiled
+ 			with -DMAC_FILTER option).
+ 
  	intro.dhcp	Tutorial of database files.
  
  	intro.dhcp.jis	Tutorial of database files (in Japanese).
diff -rcN dhcp-1.4.0p4/db_sample/README.jis dhcp-1.4.0p5/db_sample/README.jis
*** dhcp-1.4.0p4/db_sample/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/db_sample/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 18,23 ****
--- 18,28 ----
  	dhcpdb.server	$B%5!<%P$N(BIP$B%"%I%l%9$,5-=R$5$l$F$$$k%j%l!<%(!<%8%'(B
  			$B%s%HMQ$N%G!<%?%Y!<%9%U%!%$%k(B
  
+ 	dhcpdb.MAC	IP$B%"%I%l%9$N3dEv$r5v2D$9$k(BDHCP$B%/%i%$%"%s%H$N(BMAC
+ 			$B%"%I%l%9$r5-=R$9$k%G!<%?%Y!<%9%U%!%$%k(B($B$3$N5!G=$O(B
+ 			-DMAC_FILTER$B%*%W%7%g%s$r$D$1$F(Bdhcps$B$r%3%s%Q%$(B
+ 			$B%k$7$?>l9g$K$N$_M-8z$K$J$k(B)
+ 
  	intro.dhcp	$B3F%G!<%?%Y!<%9$N=q$-J}$K4X$9$k(BTutorial (in English)
  
  	intro.dhcp.jis	$B3F%G!<%?%Y!<%9$N=q$-J}$K4X$9$k(BTutorial
diff -rcN dhcp-1.4.0p4/db_sample/dhcpdb.MAC dhcp-1.4.0p5/db_sample/dhcpdb.MAC
*** dhcp-1.4.0p4/db_sample/dhcpdb.MAC	Thu Jan  1 09:00:00 1970
--- dhcp-1.4.0p5/db_sample/dhcpdb.MAC	Thu Jan 28 13:00:00 1999
***************
*** 0 ****
--- 1,3 ----
+ 00:01:02:03:04:00
+ 00:01:02:03:04:01
+ 00:01:02:03:04:02
diff -rcN dhcp-1.4.0p4/relay/README dhcp-1.4.0p5/relay/README
*** dhcp-1.4.0p4/relay/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/relay/README	Thu Jan 28 13:00:00 1999
***************
*** 1,14 ****
  This directory includes WIDE version DHCP relay agent.  DHCP relay
  agent is designed to be compatible with BOOTP relay agent, so our
  implementation can be used with BOOTP.  We confirm that it runs on
! BSD/386 1.1, BSD/OS 2.0.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 1.1.5.1.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.oldbsdi	Makefile for BSD/386 (BSD/OS 1.1)
! 	Makefile.bsdos		Makefile for BSD/OS 2.0
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS
  	README			This file
--- 1,13 ----
  This directory includes WIDE version DHCP relay agent.  DHCP relay
  agent is designed to be compatible with BOOTP relay agent, so our
  implementation can be used with BOOTP.  We confirm that it runs on
! BSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.8.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.bsdos		Makefile for BSD/OS 3.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS
  	README			This file
***************
*** 27,46 ****
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/386 1.1;			make OSTYPE=oldbsdi
!    BSD/OS 2.0;			make OSTYPE=bsdos
     SunOS;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
  Please copy relay to appropriate appropriate directory such as
  /usr/etc for SunOS and NEWS-OS, /usr/sbin for BSD/OS and FreeBSD.
  relay can be executed from "/etc/rc.local", if you want to do so.
- 
- Next, please add following two lines to /etc/services.  But the relay
- agent works correctly whether or not you will do so.
- 
- 	dhcps           67/udp                          # dhcp server
- 	dhcpc           68/udp                          # dhcp client
  
  The relay agent prints out error messages to syslog with LOG_LOCAL0
  facility.  Please add following description to syslog.conf if you
--- 26,38 ----
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/OS 3.1;			make OSTYPE=bsdos
     SunOS;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
  Please copy relay to appropriate appropriate directory such as
  /usr/etc for SunOS and NEWS-OS, /usr/sbin for BSD/OS and FreeBSD.
  relay can be executed from "/etc/rc.local", if you want to do so.
  
  The relay agent prints out error messages to syslog with LOG_LOCAL0
  facility.  Please add following description to syslog.conf if you
diff -rcN dhcp-1.4.0p4/relay/README.jis dhcp-1.4.0p5/relay/README.jis
*** dhcp-1.4.0p4/relay/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/relay/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 1,15 ****
  $B$3$N%G%#%l%/%H%j$K$O!"(BWIDE$BHG(BDHCP relay agent$B$,4^$^$l$F$$$^$9!#(B DHCP$B$N(B
  relay agent$B$O(BBOOTP$B$N$b$N$HEy2A$J5!G=$r$b$D$h$&$K@_7W$5$l$F$$$k$?$a!"K\(B
! relay agent$B$O(BBOOTP$B$G$bMxMQ2DG=$G$9!#K\%W%m%0%i%`$O(B BSD/386 1.1, BSD/OS
! 2.0.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 1.1.5.1$B$G$NF0:n$r3NG'$7$F$$$^(B
! $B$9!#(B
  
  $B$3$N%G%#%l%/%H%j$K$O!"<!$N%U%!%$%k$,4^$^$l$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.oldbsdi	BSD/386$BMQ(BMakefile (BSD/OS 1.1)
! 	Makefile.bsdos		BSD/OS 2.0.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
--- 1,13 ----
  $B$3$N%G%#%l%/%H%j$K$O!"(BWIDE$BHG(BDHCP relay agent$B$,4^$^$l$F$$$^$9!#(B DHCP$B$N(B
  relay agent$B$O(BBOOTP$B$N$b$N$HEy2A$J5!G=$r$b$D$h$&$K@_7W$5$l$F$$$k$?$a!"K\(B
! relay agent$B$O(BBOOTP$B$G$bMxMQ2DG=$G$9!#K\%W%m%0%i%`$O(BBSD/OS 3.1, NEWS-OS
! 4.2, SunOS 4.1.4, FreeBSD 2.2.8$B$G$NF0:n$r3NG'$7$F$$$^$9!#(B
  
  $B$3$N%G%#%l%/%H%j$K$O!"<!$N%U%!%$%k$,4^$^$l$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 3.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
***************
*** 27,34 ****
  $B$$$&L>A0$G<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/386 1.1$B$N>l9g(B;	make OSTYPE=oldbsdi
! 	$B!&(B BSD/OS 2.0.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
--- 25,31 ----
  $B$$$&L>A0$G<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/OS 3.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
***************
*** 36,50 ****
  $B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#I,MW$K1~$8$F(B/etc/rc.local
  $B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! $B<!$K(B/etc/services$B$K0J2<$N(B2$B9T$r2C$($F2<$5$$!#$?$@$7$3$l$r9T$J$o$J$/$F$b(B
! relay agent$B$O5/F0$G$-$^$9!#(B
! 
! 	dhcps           67/udp                          # dhcp server
! 	dhcpc           68/udp                          # dhcp client
! 
! $B$5$i$K(Brelay agent$B$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^$9!#(B
! ($BG$0U$G(B)$B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J5-=R(B
! $B$O(BOS$BKh$KHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
--- 33,41 ----
  $B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#I,MW$K1~$8$F(B/etc/rc.local
  $B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! relay agent$B$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^$9!#(B($BG$(B
! $B0U$G(B)$B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J5-=R$O(BOS
! $BKh$KHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
***************
*** 52,58 ****
  2. $B;HMQJ}K!$K$D$$$F(B
  
  relay agent$B$r<B9T$9$k$K$O(BDHCP$B%5!<%P$rNs5s$7$?@_Dj%U%!%$%k$,I,MW$G$9!#(B
! $B<B9T;~$K(B-f$B%*%W%7%g%s$G%U%!%$%k$r;XDj$7$J$$>l9g$O%G%U%)%k%H$N(B
  /etc/dhcpdb.server$B$rFI$_$K$$$-$^$9!#@_Dj%U%!%$%k$N=q$-J}$K$D$$$F$O(B
  dhcpdb.server.5$B$d(B../db_sample$B%G%#%l%/%H%j$N(BREADME$B$J$I$r8+$F$/$@$5$$!#(B
  
--- 43,49 ----
  2. $B;HMQJ}K!$K$D$$$F(B
  
  relay agent$B$r<B9T$9$k$K$O(BDHCP$B%5!<%P$rNs5s$7$?@_Dj%U%!%$%k$,I,MW$G$9!#(B
! $B<B9T;~$K(B-f$B%*%W%7%g%s$G%U%!%$%k$r;XDj$7$J$$>l9g$O%G%U%)%k%H$G(B
  /etc/dhcpdb.server$B$rFI$_$K$$$-$^$9!#@_Dj%U%!%$%k$N=q$-J}$K$D$$$F$O(B
  dhcpdb.server.5$B$d(B../db_sample$B%G%#%l%/%H%j$N(BREADME$B$J$I$r8+$F$/$@$5$$!#(B
  
diff -rcN dhcp-1.4.0p4/server/README dhcp-1.4.0p5/server/README
*** dhcp-1.4.0p4/server/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/server/README	Thu Jan 28 13:00:00 1999
***************
*** 1,13 ****
  This directory includes WIDE version DHCP server.  We confirm that it
! runs on BSD/386 1.1, BSD/OS 2.0.1, NEWS-OS 4.2, SunOS 4.1.4, and
! FreeBSD 1.1.5.1.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.oldbsdi	Makefile for BSD/386 (BSD/OS 1.1)
! 	Makefile.bsdos		Makefile for BSD/OS 2.0.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS 4.1.4
  	README			This file
--- 1,11 ----
  This directory includes WIDE version DHCP server.  We confirm that it
! runs on BSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, and FreeBSD 2.2.8.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.bsdos		Makefile for BSD/OS 3.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS 4.1.4
  	README			This file
***************
*** 39,46 ****
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/386 1.1;			make OSTYPE=oldbsdi
!    BSD/OS 2.0.1;		make OSTYPE=bsdos
     SunOS 4.1.4;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
--- 37,43 ----
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/OS 3.1;			make OSTYPE=bsdos
     SunOS 4.1.4;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
***************
*** 48,59 ****
  /usr/etc for SunOS and NEWS-OS, /usr/sbin for BSD/OS and FreeBSD.
  dhcps can be executed from "/etc/rc.local", if you want to do so.
  
- Next, please add following two lines to /etc/services.  But the dhcps
- works correctly whether or not you will do so.
- 
- 	dhcps           67/udp                          # dhcp server
- 	dhcpc           68/udp                          # dhcp client
- 
  The dhcps prints out error messages to syslog with LOG_LOCAL0
  facility.  Please add following description to syslog.conf if you
  want. (This is optional configuration and isn't required to operate).
--- 45,50 ----
***************
*** 71,79 ****
  
  The server requires two databases; One is /etc/dhcpdb.pool to describe
  the address pool, and other is /etc/dhcpdb.relay to describe
! information about relay agent.  A file "/etc/dhcpdb.bind" will be
! created by the server to manage information about address assignments,
! but basically you don't have to edit this file.
  
  After you've written these two configuration files, you can start
  dhcps.  Please refer manual and README included in ../db_sample to
--- 62,71 ----
  
  The server requires two databases; One is /etc/dhcpdb.pool to describe
  the address pool, and other is /etc/dhcpdb.relay to describe
! information about relay agent.  A file "/etc/dhcpdb.bind" (or
! "/var/db/dhcpdb.bind" on BSD/OS and FreeBSD) will be created by the
! server to manage information about address assignments, but basically
! you don't have to edit this file.
  
  After you've written these two configuration files, you can start
  dhcps.  Please refer manual and README included in ../db_sample to
diff -rcN dhcp-1.4.0p4/server/README.jis dhcp-1.4.0p5/server/README.jis
*** dhcp-1.4.0p4/server/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/server/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 1,11 ****
! $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP$B%5!<%P$,4^$^$l$^$9!#K\%W%m%0%i%`$O(BBSD/386
! 1.1, BSD/OS 2.0.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 1.1.5.1$B$G$NF0:n$r(B
! $B3NG'$7$F$$$^$9!#K\%G%#%l%/%H%j$K4^$^$l$k%U%!%$%k$r2<$K<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.oldbsdi	BSD/386(BSD/OS 1.1)$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 2.0.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
--- 1,10 ----
! $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP$B%5!<%P$,4^$^$l$^$9!#K\%W%m%0%i%`$O(BBSD/OS
! 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD 2.2.8$B$G$NF0:n$r3NG'$7$F$$$^$9!#(B
! $BK\%G%#%l%/%H%j$K4^$^$l$k%U%!%$%k$r2<$K<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 3.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
***************
*** 37,44 ****
  $B$&<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/386 1.1$B$N>l9g(B;	make OSTYPE=oldbsdi
! 	$B!&(B BSD/OS 2.0.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
--- 36,42 ----
  $B$&<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/OS 3.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
***************
*** 46,60 ****
  /usr/sbin$B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#$5$i$KI,MW$K1~$8(B
  $B$F(B/etc/rc.local$B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! $B<!$K(B/etc/services$B$K0J2<$N(B2$B9T$r2C$($F2<$5$$!#$?$@$7$3$l$r9T$J$o$J$/$F$b(B
! $B%5!<%P$O5/F0$G$-$^$9!#(B
! 
! 	dhcps           67/udp                          # dhcp server
! 	dhcpc           68/udp                          # dhcp client
! 
! $B$5$i$K%5!<%P$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^$9!#(B($BG$(B
! $B0U$G(B)$B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J5-=R$O(BOS
! $BKh$KHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
--- 44,52 ----
  /usr/sbin$B$J$I$NE,Ev$J%G%#%l%/%H%j$K%3%T!<$7$F2<$5$$!#$5$i$KI,MW$K1~$8(B
  $B$F(B/etc/rc.local$B$J$I$+$i5/F0$5$l$k$h$&$K$7$F$b9=$$$^$;$s!#(B
  
! $B%5!<%P$O!"%(%i!<$r(Bsyslog$B$N(B"LOG_LOCAL0" facility$B$G=PNO$7$^$9!#(B($BG$0U$G(B)
! $B0J2<$N$h$&$J9T$r(Bsyslog.conf$B$K=q$-2C$($F$/$@$5$$!#6qBNE*$J5-=R$O(BOS$BKh$K(B
! $BHyL/$K0[$J$k$b$N$K$J$j$^$9!#(B
  
  	local0.*			/var/log/dhcplog
  
***************
*** 69,76 ****
  DHCP$B%5!<%P$N<B9T$K$O!"%"%I%l%9%W!<%k$r5-=R$9$k(B/etc/dhcpdb.pool$B$H$$$&%U%!(B
  $B%$%k$H!"%j%l!<%(!<%8%'%s%H$K4X$9$k>pJs$r5-=R$7$?(B/etc/dhcpdb.relay$B$H$$(B
  $B$&%U%!%$%k$NFs$D$,I,MW$H$J$j$^$9!#$3$N(B2$B$D$K2C$($F!"%"%I%l%9$N3dEv>u67(B
! $B$r4IM}$9$k(B/etc/dhcpdb.bind$B$H$$$&%U%!%$%k$,:n@.$5$l$^$9$,!"86B'$H$7$F$3(B
! $B$N%U%!%$%k$rJT=8$9$kI,MW$O$"$j$^$;$s!#(B
  
  $B$3$l$iFs$D$N%U%!%$%k$r=`Hw$9$l$P!"(Bdhcps$B$r5/F0$9$k$@$1$G%5!<%P$N=hM}$,(B
  $B3+;O$5$l$^$9!#(Bdhcps$B$N>\$7$$;HMQK!$d!"3F%U%!%$%k$N@_Dj$K4X$9$k>\:Y$O%^(B
--- 61,69 ----
  DHCP$B%5!<%P$N<B9T$K$O!"%"%I%l%9%W!<%k$r5-=R$9$k(B/etc/dhcpdb.pool$B$H$$$&%U%!(B
  $B%$%k$H!"%j%l!<%(!<%8%'%s%H$K4X$9$k>pJs$r5-=R$7$?(B/etc/dhcpdb.relay$B$H$$(B
  $B$&%U%!%$%k$NFs$D$,I,MW$H$J$j$^$9!#$3$N(B2$B$D$K2C$($F!"%"%I%l%9$N3dEv>u67(B
! $B$r4IM}$9$k(B/etc/dhcpdb.bind(BSD/OS$B$d(BFreeBSD$B$N>l9g$O(B/var/db/dhcpdb.bind)
! $B$H$$$&%U%!%$%k$,:n@.$5$l$^$9$,!"86B'$H$7$F$3$N%U%!%$%k$rJT=8$9$kI,MW$O(B
! $B$"$j$^$;$s!#(B
  
  $B$3$l$iFs$D$N%U%!%$%k$r=`Hw$9$l$P!"(Bdhcps$B$r5/F0$9$k$@$1$G%5!<%P$N=hM}$,(B
  $B3+;O$5$l$^$9!#(Bdhcps$B$N>\$7$$;HMQK!$d!"3F%U%!%$%k$N@_Dj$K4X$9$k>\:Y$O%^(B
diff -rcN dhcp-1.4.0p4/server/common_subr.h dhcp-1.4.0p5/server/common_subr.h
*** dhcp-1.4.0p4/server/common_subr.h	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/server/common_subr.h	Thu Jan 28 13:00:00 1999
***************
*** 37,43 ****
   * WIDE project has the rights to redistribute these changes.
   */
  
! #define WIDEDHCP_VERS    "1.4.0p4"
  
  struct ps_udph {              /* pseudo udp header for checksum */
    struct in_addr srcip,
--- 37,43 ----
   * WIDE project has the rights to redistribute these changes.
   */
  
! #define WIDEDHCP_VERS    "1.4.0p5"
  
  struct ps_udph {              /* pseudo udp header for checksum */
    struct in_addr srcip,
diff -rcN dhcp-1.4.0p4/tools/README dhcp-1.4.0p5/tools/README
*** dhcp-1.4.0p4/tools/README	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/tools/README	Thu Jan 28 13:00:00 1999
***************
*** 1,13 ****
  This directory includes WIDE version monitoring tool for DHCP (BOOTP).
! We confirm that it runs on BSD/386 1.1, BSD/OS 2.0, NEWS-OS 4.2, SunOS
! 4.1.3, FreeBSD 1.1.5.1.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.oldbsdi	Makefile for BSD/386 (BSD/OS 1.1)
! 	Makefile.bsdos		Makefile for BSD/OS 2.0.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS
  	README			This file
--- 1,12 ----
  This directory includes WIDE version monitoring tool for DHCP (BOOTP).
! We confirm that it runs on BSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.3,
! FreeBSD 2.2.8.
  
  There are following files in this directory;
  
  	Makefile		general Makefile
  	Makefile.FreeBSD	Makefile for FreeBSD
! 	Makefile.bsdos		Makefile for BSD/OS 3.1
  	Makefile.news		Makefile for NEWS-OS
  	Makefile.sunos4		Makefile for SunOS
  	README			This file
***************
*** 24,31 ****
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/386 1.1;			make OSTYPE=oldbsdi
!    BSD/OS 2.0;			make OSTYPE=bsdos
     SunOS;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
--- 23,29 ----
  be created.
  
     SONY NEWS-OS;		make OSTYPE=news
!    BSD/OS 3.1;			make OSTYPE=bsdos
     SunOS;			make OSTYPE=sunos4
     FreeBSD;			make OSTYPE=FreeBSD
  
diff -rcN dhcp-1.4.0p4/tools/README.jis dhcp-1.4.0p5/tools/README.jis
*** dhcp-1.4.0p4/tools/README.jis	Thu Jan 28 12:59:58 1999
--- dhcp-1.4.0p5/tools/README.jis	Thu Jan 28 13:00:00 1999
***************
*** 1,12 ****
  $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP(BOOTP)$B%a%C%;!<%8%b%K%?%W%m%0%i%`$,4^$^$l(B
! $B$^$9!#K\%W%m%0%i%`$O(BBSD/386 1.1, BSD/OS 2.0.1, NEWS-OS 4.2, SunOS
! 4.1.4, FreeBSD 1.1.5.1$B$G$NF0:n$r3NG'$7$F$$$^$9!#K\%G%#%l%/%H%j$K4^$^$l(B
! $B$k%U%!%$%k$r2<$K<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.oldbsdi	BSD/386$BMQ(BMakefile (BSD/OS 1.1)
! 	Makefile.bsdos		BSD/OS 2.0.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
--- 1,11 ----
  $BK\%G%#%l%/%H%j$K$O(BWIDE$BHG(BDHCP(BOOTP)$B%a%C%;!<%8%b%K%?%W%m%0%i%`$,4^$^$l(B
! $B$^$9!#K\%W%m%0%i%`$O(BBSD/OS 3.1, NEWS-OS 4.2, SunOS 4.1.4, FreeBSD
! 2.2.8$B$G$NF0:n$r3NG'$7$F$$$^$9!#K\%G%#%l%/%H%j$K4^$^$l$k%U%!%$%k$r2<$K(B
! $B<($7$^$9!#(B
  
  	Makefile		$B3F(BOS$B6&DL(BMakefile
  	Makefile.FreeBSD	FreeBSD$BMQ(BMakefile
! 	Makefile.bsdos		BSD/OS 3.1$BMQ(BMakefile
  	Makefile.news		NEWSOS$BMQ(BMakefile
  	Makefile.sunos4		SunOS 4.1.4$BMQ(BMakefile
  	README			$B$3$N%U%!%$%k(B (in English)
***************
*** 22,29 ****
  $B$&$K<B9T$7$F2<$5$$!#(Bdhcpm$B$H$$$&<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/386 1.1$B$N>l9g(B;	make OSTYPE=oldbsdi
! 	$B!&(B BSD/OS 2.0.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
--- 21,27 ----
  $B$&$K<B9T$7$F2<$5$$!#(Bdhcpm$B$H$$$&<B9T7A<0$,:n@.$5$l$^$9!#(B
  
  	$B!&(B SONY NEWS$B$N>l9g(B;	make OSTYPE=news
! 	$B!&(B BSD/OS 3.1$B$N>l9g(B;	make OSTYPE=bsdos
  	$B!&(B SunOS 4.1.4$B$N>l9g(B;	make OSTYPE=sunos4
  	$B!&(B FreeBSD$B$N>l9g(B;	make OSTYPE=FreeBSD
  
